//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "vSaisieType.h"

//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
//---------------------------------------------------------------------------
TTypeSaisie __fastcall GererSaisie( void )
{
    //Initialise la valeur de retour
    TTypeSaisie nRetour = SAISIE_Inconnue;
    //Creation d'un pointeur TForm2
    TvSType *fSaisieType = NULL;
    try {
        //Creation de la fenetre fSaisieTtype
        fSaisieType = new TvSType( Application);
        
        if (fSaisieType->ShowModal() == mrOk)
        {
            if (fSaisieType->RadioButton1->Checked == true)
                nRetour = SAISIE_Camion;
            if (fSaisieType->RadioButton2->Checked == true)
                nRetour = SAISIE_Tondeuse;
            if (fSaisieType->RadioButton3->Checked == true)
                nRetour = SAISIE_Pelleteuse;

        }
    } catch(...) {
        ShowMessage("Erreur !!!");
    }
    if (fSaisieType) { delete fSaisieType; fSaisieType = NULL; }
    return nRetour;
}
//---------------------------------------------------------------------------
__fastcall TvSType::TvSType(TComponent* Owner)
    : TForm(Owner)
{
}
//---------------------------------------------------------------------------

void __fastcall TvSType::BitBtn2Click(TObject *Sender)
{
    Close();    
}
//---------------------------------------------------------------------------

